Bug 1411051 - plymouth-theme-solar aborts (SIGABRT)
Summary: plymouth-theme-solar aborts (SIGABRT)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth
Version: 25
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-07 21:24 UTC by Kevin Kofler
Modified: 2017-12-12 10:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:11:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Kofler 2017-01-07 21:24:24 UTC
Description of problem:
The Plymouth "solar" theme (plymouth-theme-solar) is no longer functional in Fedora 25. If I select it (with plymouth-set-default-theme) and rebuild the initramfs (with dracut -f), Plymouth aborts on startup (systemctl status plymouth-start.service says it was a SIGABRT), and I get only text-mode boot messages (even with ShowDelay=0).

Version-Release number of selected component (if applicable):
plymouth-0.9.3-0.6.20160620git0e65b86c.fc25.x86_64
plymouth-theme-solar-0.9.3-0.6.20160620git0e65b86c.fc25.x86_64

How reproducible:
Always (I think)

Steps to Reproduce:
1. sudo plymouth-set-default-theme solar
2. sudo dracut -f
3. sudo reboot

Actual results:
The "solar" theme comes up.

Expected results:
Plymouth fails to start (according to systemd, with a SIGABRT).

Comment 1 Kevin Kofler 2017-01-07 21:25:59 UTC
Whoops, I swapped the actual and expected results, of course! I mean, obviously:

Actual results:
Plymouth fails to start (according to systemd, with a SIGABRT).

Expected results:
The "solar" theme comes up.

Comment 2 Fedora End Of Life 2017-11-16 19:00:55 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:11:33 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.